1
0
mirror of git://git.2f30.org/morpheus.git synced 2024-06-21 04:08:33 +00:00
morpheus/build

50 lines
580 B
Plaintext
Raw Normal View History

2013-09-06 07:40:52 +00:00
#!/bin/sh
2013-09-06 08:50:29 +00:00
#
# Only meant to be executed from within the stage0 script
2013-09-25 12:50:20 +00:00
set -e -x
2013-09-06 08:50:29 +00:00
fetch() {
return
}
unpack() {
return
}
2013-09-17 14:20:26 +00:00
patch() {
return
}
2013-09-06 08:50:29 +00:00
build() {
return
}
install() {
return
}
2013-09-05 10:59:49 +00:00
2013-09-06 08:31:51 +00:00
. $1
(
2014-02-21 16:26:54 +00:00
fetch || {
2014-02-20 16:23:53 +00:00
echo "Failed to fetch $1" >> "$top/morpheus.log"
exit 1
2014-02-21 16:26:54 +00:00
}
unpack || {
2014-02-20 16:23:53 +00:00
echo "Failed to unpack $1" >> "$top/morpheus.log"
exit 1
2014-02-21 16:26:54 +00:00
}
patch || {
2014-02-20 16:23:53 +00:00
echo "Failed to patch $1" >> "$top/morpheus.log"
exit 1
2014-02-21 16:26:54 +00:00
}
build || {
2014-02-20 16:23:53 +00:00
echo "Failed to build $1" >> "$top/morpheus.log"
exit 1
2014-02-21 16:26:54 +00:00
}
install || {
2014-02-20 16:23:53 +00:00
echo "Failed to install $1" >> "$top/morpheus.log"
exit 1
2014-02-21 16:26:54 +00:00
}
2013-09-06 08:31:51 +00:00
)